Subject: Re: bug#20817: 25.0.50; Problems with upgrading of packages

From: Mark Karpov <[email-masked]>
Date: Thu, 18 Jun 2015 21:23:17 +0600

I have this advice, but I don't see how it can cause any problem:

(defun pkgi-filter-args (pkg &optional _dont-select)
  "How to filter arguments of `package-install' command.
PKG is passed to the command, while DONT-SELECT is always T, so
one can select any packages only by manually adding them to
`package-selected-packages' variable."
  (list pkg t))

(advice-add 'package-install :filter-args #'pkgi-filter-args)

Try to evaluate the code and I've posted previously plus these lines.

Note that I've tried to upgrade packages evaluating only code that I've
already posted (without the advice). It worked! Bad news are that I'm
now unable to test this behavior anymore until there are new versions of
some packages on MELPA (it's impossible to revert to older builds
AFAIK).